Bug 1265769 (CVE-2015-4512) - CVE-2015-4512 Mozilla: Out-of-bounds read during 2D canvas display on Linux 16-bit color depth systems (MFSA 2015-107)
Summary: CVE-2015-4512 Mozilla: Out-of-bounds read during 2D canvas display on Linux 1...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2015-4512
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1261782
TreeView+ depends on / blocked
 
Reported: 2015-09-23 17:34 UTC by Prasad J Pandit
Modified: 2021-02-17 04:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-24 16:33:11 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2015-09-23 17:34:18 UTC
Security researcher Francisco Alonso of the NowSecure Research Team used the
Address Sanitizer tool to discover an out-of-bounds read issue during 2D canvas
rendering. This was due to an issue in the cairo graphics library when surfaces
are created with 32-bit color depth but displayed on a 16-bit color depth
system, which is unsupported. This allows an attacker to read an amount of
random memory following the heap for the 16-bit surface leading to information
disclosure.

This issue is specific to Linux in certain configurations and does not
affect Windows or OS X systems.

External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2015-107/

Comment 1 Martin Prpič 2015-09-24 12:35:44 UTC
Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Francisco Alonso of the NowSecure Research Team as the original reporter.

Comment 2 Martin Prpič 2015-09-24 16:33:11 UTC
This issue was fixed in Firefox version 41.


Note You need to log in before you can comment on or make changes to this bug.